This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 845787 - PySolFC Freezes At Initial Start After Latest Updates
PySolFC Freezes At Initial Start After Latest Updates
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PySolFC (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Stewart Adam
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-04 22:45 EDT by RedHat-User
Modified: 2013-08-01 14:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:06:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Strace of "usr/bin/python /usr/share/PySolFC/pysol.py --sound-mod=pygame" command. (3.69 MB, text/plain)
2012-08-04 22:48 EDT, RedHat-User
no flags Details

  None (edit)
Description RedHat-User 2012-08-04 22:45:47 EDT
Description of problem:
PySolFC was working fine before the latest updates were applied.  Now, when the program is started, the PySolFC window appears and cards are shown -- but it is all frozen.  The animation of the cards being dealt never starts and mouse menus & quick-keys are unresponsive.  Once cannot even click on the window's "X" to close the window.

I've had this happen on 2 _Fedora 17_ machines; both are x86_64.  I'm using KDE on both.

Version-Release number of selected component (if applicable):
PySolFC-2.0-5.fc17.noarch
python-2.7.3-7.2.fc17.x86_64

How reproducible:
Start PySolFC.

Steps to Reproduce:
1.  Fedora `Start` button --> Applications --> Games --> Card Games --> PySol Fan Club Edition.
2.
3.
  
Actual results:
PySolFC window appears, but everything in it is unresponsive.


Expected results:
The window appears, animation starts and one can play the game.

Additional info:
PySolFC was working prior to the following updates:
Aug 03 06:21:18 Updated: bash-4.2.37-2.fc17.x86_64
Aug 03 06:21:34 Updated: 1:xscreensaver-base-5.19-1.fc17.x86_64
Aug 03 06:21:35 Updated: 1:xscreensaver-extras-base-5.19-1.fc17.x86_64
Aug 03 06:21:36 Updated: selinux-policy-3.10.0-142.fc17.noarch
Aug 03 06:21:40 Updated: 12:dhcp-libs-4.2.4-9.P1.fc17.x86_64
Aug 03 06:21:41 Updated: 12:dhcp-common-4.2.4-9.P1.fc17.x86_64
Aug 03 06:21:41 Updated: 1:xscreensaver-gl-base-5.19-1.fc17.x86_64
Aug 03 06:21:43 Updated: transmission-common-2.50-3.fc17.x86_64
Aug 03 06:21:44 Updated: libcdio-0.83-5.fc17.x86_64
Aug 03 06:21:48 Updated: ffmpeg-libs-0.10.4-2.fc17.x86_64
Aug 03 06:22:00 Updated: vlc-core-2.0.3-1.fc17.x86_64
Aug 03 06:22:12 Updated: 1:totem-3.4.3-1.fc17.x86_64
Aug 03 06:22:13 Updated: libchamplain-0.12.3-1.fc17.x86_64
Aug 03 06:22:16 Updated: openconnect-4.06-1.fc17.x86_64
Aug 03 06:22:18 Updated: 6:kdelibs-common-4.8.4-8.fc17.x86_64
Aug 03 06:22:37 Updated: 6:kdelibs-4.8.4-8.fc17.x86_64
Aug 03 06:22:39 Updated: cryptsetup-libs-1.5.0-1.fc17.x86_64
Aug 03 06:22:39 Updated: cryptsetup-1.5.0-1.fc17.x86_64
Aug 03 06:22:42 Updated: apper-0.7.2-3.fc17.x86_64
Aug 03 06:22:42 Updated: openconnect-lib-compat-4.06-1.fc17.x86_64
Aug 03 06:22:43 Updated: libchamplain-gtk-0.12.3-1.fc17.x86_64
Aug 03 06:22:43 Updated: 1:totem-nautilus-3.4.3-1.fc17.x86_64
Aug 03 06:23:04 Updated: vlc-2.0.3-1.fc17.x86_64
Aug 03 06:23:06 Updated: transmission-gtk-2.50-3.fc17.x86_64
Aug 03 06:23:11 Updated: 1:xscreensaver-gl-extras-5.19-1.fc17.x86_64
Aug 03 06:23:12 Updated: 12:dhclient-4.2.4-9.P1.fc17.x86_64
Aug 03 06:24:11 Updated: selinux-policy-devel-3.10.0-142.fc17.noarch
Aug 03 06:25:23 Updated: selinux-policy-targeted-3.10.0-142.fc17.noarch
Aug 03 06:25:27 Updated: 1:xscreensaver-extras-5.19-1.fc17.x86_64
Aug 03 06:25:28 Updated: 2:phonon-backend-gstreamer-4.6.1-3.fc17.x86_64
Aug 03 06:25:30 Updated: ModemManager-0.5.3.96-1.fc17.x86_64
Aug 03 06:26:11 Updated: 1:java-1.7.0-openjdk-1.7.0.5-2.2.1.fc17.9.x86_64
Aug 03 06:26:13 Updated: lftp-4.3.8-1.fc17.x86_64
Aug 03 06:26:15 Updated: 12:aspell-0.60.6.1-3.fc17.x86_64
Aug 03 06:26:21 Updated: ibus-chewing-1.4.0-1.fc17.x86_64
Aug 03 06:26:22 Updated: sed-4.2.1-10.fc17.x86_64
Aug 03 06:26:23 Updated: 3:ypbind-1.35-5.fc17.x86_64
Aug 03 06:26:23 Updated: 1:totem-mozplugin-3.4.3-1.fc17.x86_64
Aug 03 06:26:24 Updated: xorg-x11-drv-intel-2.20.1-1.fc17.x86_64
Aug 03 06:26:25 Updated: SDL_mixer-1.2.12-3.fc17.x86_64
Aug 03 06:26:26 Updated: xapian-core-libs-1.2.12-1.fc17.x86_64
Aug 03 06:26:27 Updated: telepathy-glib-0.18.2-1.fc17.x86_64

I noticed, today, there were updates for Python.  Thinking that might fix my PySolFC problem, I installed them:

Aug 04 21:08:54 Updated: python-libs-2.7.3-7.2.fc17.x86_64
Aug 04 21:08:55 Updated: python-2.7.3-7.2.fc17.x86_64
Aug 04 21:08:55 Updated: tkinter-2.7.3-7.2.fc17.x86_64
Aug 04 21:08:56 Updated: ktp-approver-0.4.0-3.fc17.x86_64

...but it did not.

I will attach the file generated from this command:

strace -o PySolFC_strace.txt /usr/bin/python /usr/share/PySolFC/pysol.py --sound-mod=pygame

Please note the SIGTERM at the end is me using the kill command from the command line to close the unresponsive PySolFC window.
Comment 1 RedHat-User 2012-08-04 22:48:31 EDT
Created attachment 602311 [details]
Strace of "usr/bin/python /usr/share/PySolFC/pysol.py --sound-mod=pygame" command.
Comment 2 RedHat-User 2012-08-08 23:52:11 EDT
I also see this same problem on a 32-bit Fedora 17 system.
Comment 3 Stewart Adam 2012-08-14 13:43:02 EDT
Thanks for reporting this, I'll be looking into this shortly.
Comment 4 RedHat-User 2012-08-21 19:34:24 EDT
I should have tested PySolFC after applying the updates available on August 15th, but I think I forgot.  Those updates had a lot of KDE 4.8.5-1 updates, one of which was pykde4.

However, I tested PySolFC after applying the updates available today, August 21st, and PySolFC is now working.  I don't see anything in these updates that could have affected PySolFC (except glibc-2.15-54), so I'm guessing this got fixed with the August 15th updates.

Thanks for looking into this!
Comment 5 Fedora End Of Life 2013-07-04 02:30:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 14:06:26 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.